Skip to main content
`Ctrl`+`K`

# PCSetUseAmat

Sets a flag to indicate that when the preconditioner needs to apply (part of) the operator during the preconditioning process it applies the Amat provided to `TSSetRHSJacobian()`, `TSSetIJacobian()`, `SNESSetJacobian()`, `KSPSetOperators()` or `PCSetOperators()` not the Pmat.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetUseAmat(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the `PC` preconditioner context

- flg - `PETSC_TRUE` to use the Amat, `PETSC_FALSE` to use the Pmat (default is false)

## Options Database Key

- -pc_use_amat (true|false) - use the amat argument to `KSPSetOperators()` or `PCSetOperators()` to apply the operator

## Note

For the common case in which the linear system matrix and the matrix used to construct the preconditioner are identical, this routine has no affect.

## See Also

KSP: Linear System Solvers, `PC`, `PCGetUseAmat()`, `PCBJACOBI`, `PCMG`, `PCFIELDSPLIT`, `PCCOMPOSITE`, `KSPSetOperators()`, `PCSetOperators()`

## Level

intermediate

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages